Aller au contenu

database_api.list_savings_withdrawals ​

since HF14

Purpose ​

Retourne une liste de retraits d'épargne (savings withdrawal). Paramètres : start:object, limit:int, order:string

  • limit est limité à 1000.
  • order peut être l'un des suivants :
    • by_from_id - tri par id
      • start est un tableau de deux valeurs : account, request_id
    • by_complete_from_id - tri par id (complété)
      • start est un tableau de trois valeurs : timestamp, account, request_id
    • by_to_complete - tri par complété (complete)
      • start est un tableau de trois valeurs : account, timestamp, order_id
start (object)limit (int)order (string)
[0]10"by_from_id"Interroge le retrait d'épargne par id.
["2018-12-07T16:54:03", "steemit", 0]10"by_complete_from_id"Interroge le retrait d'épargne par id (complété).
["", "1970-01-01T00:00:00", 0]10"by_to_complete"Interroge le retrait d'épargne complété.

Voir aussi : Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_savings_withdrawals",
    "params": {
      "start": [
        0
      ],
      "limit": 10,
      "order": "by_from_id"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_savings_withdrawals",
    "params": {
      "start": [
        "2018-12-07T16:54:03",
        "steemit",
        0
      ],
      "limit": 10,
      "order": "by_complete_from_id"
    },
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_savings_withdrawals",
    "params": {
      "start": [
        "",
        "1970-01-01T00:00:00",
        0
      ],
      "limit": 10,
      "order": "by_to_complete"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "withdrawals": [
    {
      "id": 120083,
      "from": "adafnnys",
      "to": "adafnnys",
      "memo": "",
      "request_id": 1543942411,
      "amount": {
        "amount": "2413",
        "precision": 3,
        "nai": "@@000000013"
      },
      "complete": "2018-12-07T16:54:03"
    }
  ]
}